import { APIClient } from "./ApiClient";
import { VMGroup } from "./ServerApi";
import { VMState } from "./VMApi";

export interface GroupVMState {
  [key: string]: VMState;
}

export class GroupApi {
  /**
   * Get the state of the VMs of a group
   */
  static async State(g: VMGroup): Promise<GroupVMState> {
    return (
      await APIClient.exec({ method: "GET", uri: `/group/${g.id}/vm/state` })
    ).data;
  }
}
